View Issue Details

IDProjectCategoryView StatusLast Update
0034943FPCDocumentationpublic2019-01-26 15:16
ReporterKai BurghardtAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSGNU/LinuxOS Version4.2.0
Product Version3.0.4Product Build3.0.4+dfsg-11 [2017/12/30] 
Target Version3.2.0Fixed in Version3.3.1 
Summary0034943: reference guide: alias modifier code example does not compile
DescriptionAttempting to compile the program "Aliases" provided as an example for the modifier "alias" I receive (with the mentioned compiler version) the error message:

aliases.pas(9,8) Error: Unknown identifier "DOIT"
Additional InformationConfer http://forum.lazarus.freepascal.org/index.php/topic,44024.0.html
Tagsdocumentation
Fixed in Revision1550
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2019-01-26 15:16

administrator   ~0113642

Fixed the example. It dates from before the assembler readers. Thanks for reporting!

Issue History

Date Modified Username Field Change
2019-01-25 23:40 Kai Burghardt New Issue
2019-01-25 23:40 Kai Burghardt Status new => assigned
2019-01-25 23:40 Kai Burghardt Assigned To => Michael Van Canneyt
2019-01-25 23:40 Kai Burghardt Tag Attached: documentation
2019-01-26 15:16 Michael Van Canneyt Fixed in Revision => 1550
2019-01-26 15:16 Michael Van Canneyt Note Added: 0113642
2019-01-26 15:16 Michael Van Canneyt Status assigned => resolved
2019-01-26 15:16 Michael Van Canneyt Fixed in Version => 3.3.1
2019-01-26 15:16 Michael Van Canneyt Resolution open => fixed
2019-01-26 15:16 Michael Van Canneyt Target Version => 3.2.0